# roadstop_base.h File Reference

Base class for roadstops. More...

`#include "station_type.h"`
`#include "core/pool_type.hpp"`
`#include "core/bitmath_func.hpp"`
`#include "direction_type.h"`
`#include "vehicle_type.h"`

Go to the source code of this file.

## Data Structures
struct | RoadStop
| A Stop for a Road Vehicle. More...
struct | RoadStop::Entry
| Container for each entry point of a drive through road stop. More...
## Defines
#define | FOR_ALL_ROADSTOPS_FROM(var, start) FOR_ALL_ITEMS_FROM(RoadStop, roadstop_index, var, start)
#define | FOR_ALL_ROADSTOPS(var) FOR_ALL_ROADSTOPS_FROM(var, 0)
## Typedefs
typedef Pool< RoadStop, RoadStopID, 32, 64000 > | RoadStopPool
## Variables
RoadStopPool | _roadstop_pool

## Detailed Description

Base class for roadstops.

Definition in file roadstop_base.h.